> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List project builds

> List recent queued, running, and failed project builds.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/projects/{projectId}/builds
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}/builds:
    get:
      tags:
        - Projects
      summary: List project builds
      description: List recent queued, running, and failed project builds.
      operationId: listProjectBuilds
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: integer
            default: '50'
      responses:
        '200':
          description: List project builds
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt:
                          type: string
                          format: date-time
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        completedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        durationMs:
                          type:
                            - integer
                            - 'null'
                          minimum: 0
                        failure:
                          type:
                            - string
                            - 'null'
                        includeDeps:
                          type: boolean
                        includeSkills:
                          type: boolean
                        name:
                          type:
                            - string
                            - 'null'
                        progress:
                          type:
                            - object
                            - 'null'
                          properties:
                            message:
                              type:
                                - string
                                - 'null'
                            percent:
                              type:
                                - number
                                - 'null'
                              minimum: 0
                              maximum: 100
                            phase:
                              type:
                                - string
                                - 'null'
                            updatedAt:
                              type:
                                - string
                                - 'null'
                              format: date-time
                          required:
                            - message
                            - percent
                            - phase
                            - updatedAt
                          additionalProperties: false
                        projectId:
                          type: string
                          minLength: 1
                          maxLength: 255
                        repositoryIds:
                          type:
                            - array
                            - 'null'
                          items:
                            type: string
                            minLength: 1
                            maxLength: 255
                        sandboxSize:
                          type: string
                          enum:
                            - nano
                            - micro
                            - medium
                            - large
                            - xl
                            - xxl
                            - ultra
                        setupScript:
                          type:
                            - string
                            - 'null'
                          maxLength: 20000
                        startedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        status:
                          type: string
                          enum:
                            - pending
                            - running
                            - failed
                            - completed
                            - cancelled
                        trigger:
                          type: string
                          enum:
                            - manual
                            - scheduled
                            - rebuild
                      required:
                        - createdAt
                        - id
                        - completedAt
                        - durationMs
                        - failure
                        - includeDeps
                        - includeSkills
                        - name
                        - progress
                        - projectId
                        - repositoryIds
                        - sandboxSize
                        - setupScript
                        - startedAt
                        - status
                        - trigger
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````